#!/bin/bash
#
# track orbit
root='dipole_etilt_rc'
for i in 0 100 200 400; do
   nbr=$( printf '%03d' $i )
   delta=$i'.e-3'
   elegant $root.ele -macro=nbr=$nbr -macro=delta=$delta > $root$nbr.txt
   # combine files
   rm $root$nbr.wa
   sddscombine $root$nbr-???.wt $root$nbr.wa
   sddsprintout $root$nbr.wa temp.txt -parameters=s -columns='(x,xp,y,yp,t,p)',format='%16.12g' -noLabels 
   awk '(NF>0 && NR>1)' temp.txt | awk 'NR%2{printf "%s ",$0;next}{print;}' > $root$nbr'_orbit.txt'
done

gnuplot plot_results_rc
